apiVersion: barmancloud.cnpg.io/v1
kind: ObjectStore
metadata:
  name: hel-store
  namespace: gitea
spec:
  retentionPolicy: "7d"
  configuration:
    destinationPath: s3://obx-cnpg/hel1/gitea-db
    endpointURL: https://hel1.your-objectstorage.com
    s3Credentials:
      accessKeyId:
        name: cnpg-s3
        key: access_key
      secretAccessKey:
        name: cnpg-s3
        key: access_secret
    wal:
      compression: snappy
---
apiVersion: postgresql.cnpg.io/v1
kind: ScheduledBackup
metadata:
  name: gitea-db
  namespace: gitea
spec:
  schedule: "0 0 1 * * *"
  backupOwnerReference: self
  cluster:
    name: gitea-db
  method: plugin
  pluginConfiguration:
    name: barman-cloud.cloudnative-pg.io
